# -*- coding: utf-8 -*-
# Generated by Django 1.10.1 on 2016-09-06 00:04
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.contrib.taggit
import modelcluster.fields
import wagtail.wagtailcore.fields

from wapps.utils import get_image_model

ImageModel = get_image_model()


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('taggit', '0002_auto_20150616_2121'),
        ('wapps', '0009_wappsimage_details'),
        ('wagtailcore', '0029_unicode_slugfield_dj19'),
    ]

    operations = [
        migrations.CreateModel(
            name='Album',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('intro', wagtail.wagtailcore.fields.RichTextField(blank=True, help_text='A text to be displayed before images', verbose_name='Introduction')),
                ('show_details', models.BooleanField(default=True, help_text='Display image title and details', verbose_name='Display details')),
                ('animation', models.CharField(choices=[('slide', 'Slide'), ('fade', 'Fade')], default='slide', max_length=8, verbose_name='Animation')),
            ],
            options={
                'verbose_name': 'Album',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='AlbumTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Gallery',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('intro', wagtail.wagtailcore.fields.RichTextField(blank=True, help_text='A text to be displayed before albums', verbose_name='Introduction')),
                ('feed_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=ImageModel)),
            ],
            options={
                'verbose_name': 'Gallery',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='ManualAlbumImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=ImageModel)),
            ],
            options={
                'abstract': False,
                'ordering': ['sort_order'],
            },
        ),
        migrations.CreateModel(
            name='ManualAlbum',
            fields=[
                ('album_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='gallery.Album')),
            ],
            options={
                'verbose_name': 'Manual album',
            },
            bases=('gallery.album',),
        ),
        migrations.AddField(
            model_name='albumtag',
            name='content_object',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_items', to='gallery.Album'),
        ),
        migrations.AddField(
            model_name='albumtag',
            name='tag',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='gallery_albumtag_items', to='taggit.Tag'),
        ),
        migrations.AddField(
            model_name='album',
            name='image',
            field=models.ForeignKey(blank=True, help_text='The image seen on gallery browser and when sharing this album', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=ImageModel, verbose_name='Image'),
        ),
        migrations.AddField(
            model_name='album',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='gallery.AlbumTag', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.AddField(
            model_name='manualalbumimage',
            name='page',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='gallery.ManualAlbum'),
        ),
    ]
