# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-10-26 06:57
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion

from wapps.utils import get_image_model

def drop_empty_gallery_images(apps, schema_editor):
    AlbumImage = apps.get_model('gallery', 'ManualAlbumImage')  # noqa

    for album_image in AlbumImage.objects.filter(image__isnull=True):
        album_image.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('gallery', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(drop_empty_gallery_images),
        migrations.AlterField(
            model_name='manualalbumimage',
            name='image',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=get_image_model()),
        ),
    ]
